Add a source system
curl --request POST \
--url https://api.timelockdata.com/api/v1/sourceSystem/{COMPANY_ID} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"apiKey": "<string>"
}
'import requests
url = "https://api.timelockdata.com/api/v1/sourceSystem/{COMPANY_ID}"
payload = {
"name": "<string>",
"apiKey": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', apiKey: '<string>'})
};
fetch('https://api.timelockdata.com/api/v1/sourceSystem/{COMPANY_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Source Systems
Create Source System
POST
/
sourceSystem
/
{COMPANY_ID}
Add a source system
systems represent external integrations that connect to TimeLockData via API keys. Each source system has a permission level:
- I (Insert) — Can create evidences and categories
- U (Update) — Can create and update
- R (Read) — Read-only access
- A (Admin) — Full access
Path Parameters
Company identifier
Body
application/json
Response
Source system created
ID of the newly created source system
⌘I